Show / Hide Table of Contents

# Class IReadOnlyDictionaryConverter<TValue, TConverter>

A converter for instances of IReadOnlyDictionary<TKey,TValue>, specifying a value converter as a type parameter.

##### Inheritance

Object
ValueConverter<IReadOnlyDictionary<String, TValue>>
IReadOnlyDictionaryConverter<TValue>
IReadOnlyDictionaryConverter<TValue, TConverter>

##### Implements

IValueConverter

##### Inherited Members

IReadOnlyDictionaryConverter<TValue>.BaseConverter
IReadOnlyDictionaryConverter<TValue>.FromValue(Value, Object)
IReadOnlyDictionaryConverter<TValue>.ToValue(IReadOnlyDictionary<String, TValue>, Object)
ValueConverter<IReadOnlyDictionary<String, TValue>>.ToValue(IReadOnlyDictionary<String, TValue>, Object)
ValueConverter<IReadOnlyDictionary<String, TValue>>.FromValue(Value, Object)
ValueConverter<IReadOnlyDictionary<String, TValue>>.IValueConverter.ToValue(Object, Object)
ValueConverter<IReadOnlyDictionary<String, TValue>>.IValueConverter.FromValue(Value, Object)
ValueConverter<IReadOnlyDictionary<String, TValue>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class IReadOnlyDictionaryConverter<TValue, TConverter> : IReadOnlyDictionaryConverter<TValue>, IValueConverter where TConverter : ValueConverter<TValue>, new()

##### Type Parameters

Name | Description
--- | ---
TValue | the value type of the dictionary
TConverter | the converter type for values

### Constructors

| Improve this Doc View Source

#### IReadOnlyDictionaryConverter()

Constructs a new IReadOnlyDictionaryConverter<TValue, TConverter> with a new instance of `TConverter` as the value converter.

##### Declaration

    public IReadOnlyDictionaryConverter()

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])